Go 1.10 源码安装简单很多啊

polaris · · 635 次点击 · 开始浏览    置顶
这是一个创建于 的主题,其中的信息可能已经有所发展或是发生改变。
Go 1.5 之后,由于实现了自举,需要先安装之前的版本,然后得配置 GOROOT_BOOTSTRAP 环境变量: ``` ERROR: Cannot find xxx/go1.4/bin/go. Set $GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4. ``` Go 1.10 之后,不再需要配置该环境变量,能够自动找到,对新手越来越友好了!安装过程的日志输出简单很多 ``` Building Go cmd/dist using /usr/local/go1.9. Building Go toolchain1 using /usr/local/go1.9. Building Go bootstrap cmd/go (go_bootstrap) using Go toolchain1. Building Go toolchain2 using go_bootstrap and Go toolchain1. Building Go toolchain3 using go_bootstrap and Go toolchain2. Building packages and commands for linux/amd64. ```
635 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传